Subject: bug#47408: [PATCH] Etags support for Mercury -- fix explicit tags for existentially-quantified procedures

From: fabrice nicol <[email-masked]>
Date: Fri, 18 Jun 2021 15:53:26 +0200

Well, I suggest adding this to a todo-list, leaving things as they stand 
in the meantime.
There are other features that might be added to this list too, possibly 
higher:
- tag type non 0-arity type constructors (as in inbuilt Vim support);
- tag embedded foreign code (at least for C): there is a lot of embedded 
C in real-world Mercury code;
I'll keep this for the summer vacation.
F.
>>> 2. I also removed module names from within tag names. The point is that
>>> module name prefixing is optional in most cases
>> I don't know about Mercurial, but this sounds similar to C++ classes:
>> the fully-qualified class name is not always necessary.  When possible,
>> etags creates a fully-qualified name for the tag, like this:
> Under the --class-qualify switch, yes.  Maybe we should support that
> for Mercury as well.